# コードをアップロード

ゲームキーSKUによるコードをアップロードします。

Endpoint: POST /v2/project/{project_id}/admin/items/game/key/upload/sku/{item_sku}
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    プロジェクトID。このパラメータは、パブリッシャーアカウントのプロジェクト名の横、またはプロジェクトの作業中にブラウザのアドレスバーで確認できます。URLの形式は以下の通りです：https://publisher.xsolla.com//projects/。
    Example: 44056

  - `item_sku` (string, required)
    アイテムSKU。
    Example: "booster_mega_1"

## Request fields (multipart/form-data):

  - `file` (string, required)
    コードを含むファイル。
    Example: "keys.txt"

  - `region_id` (integer)
    リージョンID。
    Example: 1

## Response 200 fields (application/json):

  - `session_id` (string)
    Example: "fc7105b6e8ee01339582970b37697242"

  - `count_uploaded` (integer)

  - `count_total` (integer)
    Example: 100

  - `count_skipped` (integer)
    Example: 10

  - `status` (string)
    Example: "processing"

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 4001

  - `errorMessage` (string)
    Example: "[0401-4001]: Item with sku = 'game_1' not found"


